//********************************************************************** 

void	Pwm_Change_DutyEx(unsigned int duty_ratio)
{
    CCPR1L = duty_ratio >> 2;
    CCP1CON.F6 = duty_ratio & 0b00000001;
    CCP1CON.F7 = (duty_ratio & 0b00000010) >> 1; 
}

//********************************************************************** 

void main()
{
	OSCCON = 0b01110000;	// NbN8Mhz 
	CMCON = 0b00000111;	// Rp[^͎gpȂB 
	ANSEL = 0b00000000;		// AN0gpB 
	TRISA = 0b11111111;
	TRISB = 0b00000000;
	//
	Pwm_Init(10000);	// 10Khz
	Pwm_Change_DutyEx((PR2 * 4) / 2);
	Pwm_Start();
	Delay_ms(1000);
	//
	Lcd_Custom_Config(&PORTB, 4, 5, 6, 7, &PORTA, 0, 7, 6);
	Lcd_Custom_Cmd(LCD_CURSOR_OFF);
	Lcd_Custom_Out(1, 1, "ChargePump");
	Lcd_Custom_Out(2, 1, "JF3SFB{^_^}chan!");

	//
	while (1) {
	}
}

//********************************************************************** 